# Created by pyp2rpm-3.3.7
%global pypi_name debugpy
%global pypi_version 1.6.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 1
Summary:        An implementation of the Debug Adapter Protocol for Python
Group:          Development/Python
License:        MIT
URL:            https://aka.ms/debugpy
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{pypi_version}.zip

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
debugpy is an implementation of the Debug Adapter Protocol for Python.The
source code and the issue tracker is [hosted on GitHub](

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
debugpy is an implementation of the Debug Adapter Protocol for Python.The
source code and the issue tracker is [hosted on GitHub](


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md src/debugpy/_vendored/pydevd/pydevd_attach_to_process/README.txt src/debugpy/_vendored/pydevd/pydevd_plugins/extensions/README.md src/debugpy/_vendored/pydevd/_pydevd_frame_eval/vendored/README.txt
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info



%changelog
* Sun Apr 17 2022 joequant <joequant> 1.6.0-1.mga9
+ Revision: 1850977
- imported package python-debugpy

